summaryrefslogtreecommitdiff
path: root/linux/make_tarball.sh
diff options
context:
space:
mode:
Diffstat (limited to 'linux/make_tarball.sh')
-rw-r--r--linux/make_tarball.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/linux/make_tarball.sh b/linux/make_tarball.sh
new file mode 100644
index 000000000..ff54db603
--- /dev/null
+++ b/linux/make_tarball.sh
@@ -0,0 +1,15 @@
+set -e
+
+VERSION=$(grep -e '^Version' pandoc.cabal | awk '{print $2}')
+TARGET=pandoc-$VERSION
+
+cd /artifacts
+mkdir $TARGET
+mkdir $TARGET/bin $TARGET/man $TARGET/man/man1
+./pandoc-citeproc --man > $TARGET/man/man1/pandoc-citeproc.1
+cp /usr/src/pandoc/man/pandoc.1 $TARGET/man/man1
+mv pandoc pandoc-citeproc $TARGET/bin
+gzip -9 $TARGET/man/man1/pandoc.1
+gzip -9 $TARGET/man/man1/pandoc-citeproc.1
+tar cvzf $TARGET.tar.gz $TARGET
+rm -r $TARGET